configure.ac: link CoreServices only on MacOSX

CoreServices is an iOS 12.0+ API so it cannot be linked when targetting
iOS 9.0. However it is still needed for MacOS and available since 10.0+
which is lesser than the target version.

See https://developer.apple.com/documentation/coreservices
12 jobs for !3 with ios/xcode-cross/1 in 104 minutes and 56 seconds (queued for 5 seconds)
merge request
Name Stage Failure
failed
snap Build
Priming fixup-vulkan-icd-paths 
Determining the version from the project repo (version-script).
The version-script produced no output
make: *** [snap] Error 2
package.mak:2: recipe for target 'snap' failed
Running after script...
$ export VLC_CONTRIB_SHA="$(extras/ci/get-contrib-sha.sh)"
$ mv extras/package/snap/parts/vlc/build/contrib/vlc-contrib-*.tar.bz2 contrib/vlc-contrib-${TRIPLET}-${VLC_CONTRIB_SHA}.tar.bz2 2>/dev/null || true
ERROR: Job failed: exit code 1